> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a proxy profile

> Updates proxy profile settings.



## OpenAPI

````yaml /openapi.json put /api/v1/teams/{team_id}/proxy_profiles/{id}
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: V1.IpWhitelist
    description: Public API v1 — IP whitelist management
  - name: V1.ProxyAccount
    description: Public API v1 — proxy account provisioning and lifecycle
  - name: V1.ProxyProfile
    description: Public API v1 — proxy profile management
  - name: V1.Subscription
    description: Public API v1 — team subscription (read-only)
  - name: V1.Tag
    description: Public API v1 — tag management
  - name: V1.Traffic
    description: Public API v1 — traffic time series (read-only)
  - name: V1.Usage
    description: Public API v1 — quota usage (read-only)
paths:
  /api/v1/teams/{team_id}/proxy_profiles/{id}:
    put:
      tags:
        - V1.ProxyProfile
      summary: Update a proxy profile
      description: Updates proxy profile settings.
      operationId: public_v1_proxy_profile_put
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: id
          in: path
          description: ProxyProfile identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated V1.ProxyProfile resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1.ProxyProfile'
        required: true
      responses:
        '200':
          description: V1.ProxyProfile resource updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1.ProxyProfile'
          links: {}
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '422':
          description: An error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation'
          links: {}
components:
  schemas:
    V1.ProxyProfile:
      type: object
      description: Public API v1 — proxy profile management
      properties:
        id:
          readOnly: true
          type:
            - string
            - 'null'
        name:
          minLength: 3
          type:
            - string
            - 'null'
        notes:
          maxLength: 1000
          type:
            - string
            - 'null'
        proxy_type:
          type:
            - string
            - 'null'
        auth_method:
          type:
            - string
            - 'null'
        proxy_protocol:
          type:
            - string
            - 'null'
        port:
          minimum: 2000
          maximum: 2999
          type:
            - integer
            - 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/ProxyProfileLocationResource'
            - type: 'null'
        session:
          anyOf:
            - $ref: '#/components/schemas/ProxyProfileSessionResource'
            - type: 'null'
        advanced_settings:
          anyOf:
            - $ref: '#/components/schemas/ProxyProfileAdvancedSettingsResource'
            - type: 'null'
        proxy_account_id:
          pattern: ^([0-9a-fA-F]{24})$
          type:
            - string
            - 'null'
        created_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - name
        - proxy_account_id
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    ConstraintViolation:
      type: object
      description: Unprocessable entity
      properties:
        status:
          default: 422
          type: integer
        violations:
          type: array
          items:
            type: object
            properties:
              propertyPath:
                type: string
                description: The property path of the violation
              message:
                type: string
                description: The message associated with the violation
              code:
                type: string
                description: The code of the violation
              hint:
                type: string
                description: An extra hint to understand the violation
              payload:
                type: object
                additionalProperties: true
                description: The serialized payload of the violation
            required:
              - propertyPath
              - message
        detail:
          readOnly: true
          type: string
        type:
          readOnly: true
          type: string
        title:
          readOnly: true
          type:
            - string
            - 'null'
        instance:
          readOnly: true
          type:
            - string
            - 'null'
    ProxyProfileLocationResource:
      type: object
      properties:
        country_code:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        asn:
          type:
            - integer
            - 'null'
    ProxyProfileSessionResource:
      type: object
      properties:
        type:
          type:
            - string
            - 'null'
        duration:
          type:
            - integer
            - 'null'
    ProxyProfileAdvancedSettingsResource:
      type: object
      properties:
        region_endpoint:
          default: false
          type: boolean
        region_endpoint_country:
          type:
            - string
            - 'null'
        region_endpoint_region:
          type:
            - string
            - 'null'
        region_endpoint_city:
          type:
            - string
            - 'null'
        sess_replace:
          type:
            - boolean
            - 'null'
        sess_ip_collision:
          type:
            - string
            - 'null'
        sess_asn:
          type:
            - string
            - 'null'
        tcp_ip_fingerprint:
          default: false
          type: boolean
        tcp_ip_fingerprint_preset:
          type:
            - string
            - 'null'
        filter_by_subnets:
          default: false
          type: boolean
        filter_by_subnets_list:
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        gps_location_filtering:
          default: false
          type: boolean
        gps_location_address:
          type:
            - string
            - 'null'
        gps_location_lat:
          type:
            - number
            - 'null'
        gps_location_lng:
          type:
            - number
            - 'null'
        gps_location_radius_miles:
          type:
            - number
            - 'null'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the Api-Key header parameter.
      name: Api-Key
      in: header

````